Class | Ramaze::Helper::BlueForm::Form
In: | lib/ramaze/helper/blue_form.rb
Parent: | Object

Note that an instance of this class is not thread-safe, so you should modify it only within one thread of execution

### Methods

build checkbox file hidden input_checkbox input_file input_hidden input_password input_radio input_submit input_text legend new password radio select submit text textarea to_s

### Attributes

g | [R] |

### Public Class methods

new(options)

### Public Instance methods

build(form_errors = {}) {|self| ...}
checkbox(label, name, checked = false)

Alias for input_checkbox

file(label, name)

Alias for input_file

hidden(name, value = nil)

Alias for input_hidden

input_checkbox(label, name, checked = false)
input_file(label, name)
input_hidden(name, value = nil)
input_password(label, name)
input_radio(label, name, values, options = {})
input_submit(value = nil)
input_text(label, name, value = nil, args = {})
legend(text)
password(label, name)

Alias for input_password

radio(label, name, values, options = {})

Alias for input_radio

select(label, name, values, options = {})
submit(value = nil)

Alias for input_submit

text(label, name, value = nil, args = {})

Alias for input_text

textarea(label, name, value = nil)
to_s()

[Validate]